/*
 * cc -o bigfont bigfont.c vfdlib.c empeg_ui.c -L/usr/X11R6/lib -lX11
 *
 * copy /empeg/lib/fonts/ from your empeg to 'empeg/lib/fonts' in the
 * directory where you start this.
 */

#include "empeg_ui.h"
#include "vfdlib.h"

unsigned char screen[VFD_HEIGHT * VFD_BYTES_PER_SCANLINE];

int main(int argc, char **argv)
{
    empeg_init();
    
    vfdlib_registerFont("empeg/lib/fonts/large.bf", 0);

    vfdlib_fastclear(screen);
    vfdlib_drawText(screen, "Big Font 00:00:00", 3, 3, 0, -1);

    empeg_updatedisplay(screen);
    sleep(10);
    empeg_free();
}

